from logging import getLogger

from dataspree.inference.ai.models.runtimes.onnx import (ONNX_RUNTIME_AVAILABLE,
                                                         OnnxRuntimeClassification,
                                                         OnnxRuntimeDetection)
from dataspree.inference.ai.models.runtimes.tensorrt import TENSORRT_AVAILABLE, TrtRuntimeDetection
from dataspree.inference.ai.models.runtimes.runtime import OPENVINO_AVAILABLE, ExistingRuntimes

__all__ = ['ONNX_RUNTIME_AVAILABLE', 'TENSORRT_AVAILABLE', 'OPENVINO_AVAILABLE',
           'TrtRuntimeDetection', 'OnnxRuntimeClassification', 'OnnxRuntimeDetection',
           'ExistingRuntimes']

logger = getLogger(__name__)
logger.info('Tensor RT available' if TENSORRT_AVAILABLE else 'Tensor RT not available')
logger.info('ONNX RT available' if ONNX_RUNTIME_AVAILABLE else 'ONNX RT not available')
logger.info('OpenVino XP available' if OPENVINO_AVAILABLE else 'OpenVino XP not available')
